// Copyright Marcus Del Favero 2025
// Licensed under the GNU AGPLv3 with an exception, see `README.md` for details
#version 330 core

in vec2 pos_io;
in float alpha_io;

out vec4 colour;

void main() {
	float t = max(1 - length(pos_io), 0);
	colour = vec4(0, 0.375, 1, 0.3125 * alpha_io * t * (2 - t));
}
