// Copyright Marcus Del Favero 2025
// Licensed under the GNU AGPLv3 with an exception, see `README.md` for details
#version 330 core

in vec2 tex_coords_io;
in float tint_io;

out vec4 colour;

uniform sampler2D u_texture;

void main() {
	colour = texture(u_texture, tex_coords_io);
	colour.rgb *= mix(vec3(1), vec3(1, 0.625, 0.625), tint_io);
}
